Bug 836495 - xrefs break xml sandboxing
xrefs break xml sandboxing
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 05:27 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.26.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:31:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-06-29 05:27:46 EDT
Apparently, xrefs in topics are currently not caught by the server-side validation and result in a book that will not build.

I haven't tested it, but I saw an error listing from a migration project where they had cut and pasted docbook xml containing xrefs, and it resulted in a book from the csp that publican could not build locally until the legacy xrefs were culled.


==============================
Generated Details:

Package: cspclient-0.24.8-1.noarch

OS: Fedora release 16 (Verne)

JAVA: java version "1.7.0"
Java(TM) SE Runtime Environment (build 1.7.0-b147)
Java HotSpot(TM) Client VM (build 21.0-b17, mixed mode, sharing)
Comment 1 Lee Newson 2012-07-18 22:23:10 EDT
Added in 0.26.1

Now all xref's and link's are validated to ensure that the linkend id attribute exists within the book. If it isn't in the book then the XML is replaced with an invalid topic template and an error generated in the Error's Chapter.
Comment 2 Lee Newson 2013-06-06 21:31:33 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.